Subject: Re: [v02] powerpc/mobility: Extend start/stop topology update scope

From: Michael Ellerman <[email-masked]>
Date: Mon, 15 Oct 2018 15:01:06 +1100 (AEDT)

On Tue, 2018-10-09 at 20:12:14 UTC, Michael Bringmann wrote:
> The PPC mobility code may receive RTAS requests to perform PRRN
> topology changes at any time, including during LPAR migration
> operations.  In some configurations where the affinity of CPUs
> or memory is being changed on that platform, the PRRN requests
> may apply or refer to outdated information prior to the complete
> update of the device-tree.  This patch changes the duration for
> which topology updates are suppressed during LPAR migrations from
> just the rtas_ibm_suspend_me / 'ibm,suspend-me' call(s) to cover
> the entire 'migration_store' operation to allow all changes to
> the device-tree to be applied prior to accepting and applying any
> PRRN requests.
> 
> For tracking purposes, pr_info notices are added to the functions
> start_topology_update() and stop_topology_update() of 'numa.c'.
> 
> Signed-off-by: Michael Bringmann <[email-masked]>
> Reviewed-by: Nathan Fontenot <[email-masked]>

Applied to powerpc next, thanks.

https://git.kernel.org/powerpc/c/65b9fdadfc4d87e2577b791fb3495c

cheers